grk::TileCacheEntry Struct Reference

`#include <TileCache.h>`

## Public Member Functions

| TileCacheEntry (TileProcessor *p)
| TileCacheEntry ()
| ~TileCacheEntry ()

## Public Attributes

TileProcessor * | processor

## Constructor & Destructor Documentation

## TileCacheEntry() [1/2]

grk::TileCacheEntry::TileCacheEntry | ( | TileProcessor * | p | ) |

explicit

## TileCacheEntry() [2/2]

grk::TileCacheEntry::TileCacheEntry | ( |  | ) |

## ~TileCacheEntry()

grk::TileCacheEntry::~TileCacheEntry | ( |  | ) |

References processor.

## Member Data Documentation

## processor

TileProcessor* grk::TileCacheEntry::processor

Referenced by grk::CodeStreamDecompress::allocateProcessor(), grk::CodeStreamDecompress::decompressTile(), grk::CodeStreamDecompress::getImage(), grk::TileCache::put(), and ~TileCacheEntry().

The documentation for this struct was generated from the following files:

- TileCache.h
- TileCache.cpp